Document Comments

Operations of the Knowledge Base API. Paths are relative to your deployment's API host.

GET /api/knowledge-base-api/pages/{pageId}/comments

List comments on a document page (OPEN + RESOLVED + STALE)

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
pageIdpathstringyes
StatusDescriptionBody
200application/json DocumentCommentResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/knowledge-base-api/pages/{pageId}/comments

Add a comment (top-level or threaded reply)

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
pageIdpathstringyes

Request body: application/json CreateDocumentCommentDto

StatusDescriptionBody
201application/json DocumentCommentResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/knowledge-base-api/pages/{pageId}/comments/{commentId}/resolve

Mark a comment as RESOLVED

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
commentIdpathstringyes
pageIdpathstringyes
StatusDescriptionBody
200application/json DocumentCommentResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto